art - Feature #25242

Request build of art against a root build that supports Eve-7
11/23/2020 05:29 PM - Rob Kutschke

Status: Closed Start date: 11/23/2020
Priority: Normal Due date:

Assignee: Kyle Knoepfel % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.05.00 Spent time: 0.00 hour
Scope: Internal SSI Package:

Experiment: Mu2e

Description

Sophie Middleton from Caltech has created two proof of principle demos with Eve-7. i lives up to its advertising. In one demo
there is an app running on a lab machine the is serving a stream of events. You can connect to it with your browser and watch the
events go by; you can zoom, rotate, trolley, pan ... This is mocks up what we might have running in the control room during data
taking. In the other demo you log into a lab machine and launch the application. Then you go back to your own machine, open an
ssh tunnel to the lab machine, and then point your browser at the running app on the lab machine. Now you have full capability to
interact with each event (well, as full as in the demo).

In both cases the speed of the interactive response is far superior to our existing event displays and geometry browsers that use
TEVE and TGeometry.

We would be happy to arrange a demo at a time that is convenient to everyone.

Based on this work Mu2e is ready to move ahead with Eve-7 as the basis for our next event display and we request that the art team
provide a build of art that supports root 6/22 or later built with root7 support.

Please let me know if | need to make this request higher up the management chain in order to have the work approved.

History

#1 - 11/30/2020 10:26 AM - Kyle Knoepfel
- Assignee set to Kyle Knoepfel

- Status changed from New to Assigned

#2 - 11/30/2020 11:27 AM - Kyle Knoepfel

- Status changed from Assigned to Feedback

Rob, as art does not depend on ROOT, would it be acceptable to retain the current art version, but simply upgrade canvas_root_io and art_root_io to
use the newer ROOT?

#3 - 11/30/2020 11:29 AM - Rob Kutschke

Yes. That's what | should have asked for. Thanks for checking.

#4 - 12/01/2020 03:46 PM - Kyle Knoepfel

- Target version set to 1.05.00

#5 - 12/14/2020 04:35 PM - Kyle Knoepfel
- % Done changed from 0 to 100
- Status changed from Feedback to Closed
